<script lang="ts">
    import DateTime from "$lib/DateTime.svelte";
    import { askConfirmation } from "$lib/browserUtils";
    import type { PageData } from "./$types";
    import JoinCode from "./JoinCode.svelte";
    import NotesForStudentsForm from "./NotesForStudentsForm.svelte";
    import StudentSessions from "./StudentSessions.svelte";

    export let data: PageData;
</script>

<header>
    <div class="info">
        <small class="resource-type">Session TP</small>
        <h1>{data.title}</h1>
        <p class="created-at">Créée <DateTime dt={data.created_at} /></p>
    </div>
    <div class="buttons">
        <form
            method="POST"
            action="?/delete"
            on:submit={askConfirmation(
                `supprimer la session « ${data.title} » ?`
            )}
        >
            <button class="btn-danger">supprimer</button>
        </form>
    </div>
</header>

{#if data.notes_for_teacher}
    <p>{data.notes_for_teacher}</p>
{/if}

<JoinCode code={data.join_code} joinableUntil={data.joinable_until} />

<NotesForStudentsForm notes={data.notes_for_students} />

<StudentSessions {data} />

<style>
    header {
        margin-bottom: 2em;
        display: flex;
        justify-content: space-between;
        flex-wrap: wrap;
        gap: 1em;
    }

    header h1 {
        margin: 0;
    }

    header small.resource-type {
        color: #888;
        text-transform: uppercase;
    }

    header .created-at {
        font-size: 90%;
        margin-top: 0.6em;
    }

    header .buttons {
        display: flex;
        flex-wrap: wrap;
        align-items: center;
        gap: 1em;
    }

    header .buttons button {
        height: min-content;
    }
</style>
